### Limitations

There are a number of complexities that should be added to the simulation. It would be beneficial to add additional geometric and material parameters to $\vec{x}$, such as the lengths of the tridents, Young's modulus and Poisson's ratio of the coating, temperature, and more. We should add physics-informed parametrization of mechanical loss angles, for example allowing silicon substrate mechanical loss to have a spectral or temperature dependence reflecting Akhiezer thermoelastic losses. We would also ideally perform this inference at several choices of geometric parameters to determine which ones minimize systematic uncertainty on inferred $\phi_\mathrm{coating}$. All of these changes expand the parameter space for MCMC, requiring more samples before the simulation converges to a reliable distribution.

Furthermore, I performed this demonstration with a coarser than optimal mesh. Preliminary mesh refinement analysis showed that using finer meshes (especially on the wide surfaces of the oscillator, and at higher eigenfrequency) does change the computed eigenfrequencies and strain energies by up to 10s%, at the expense of longer compute times. 

More fundamentally, we would prefer to use a more realistic model for the experimental likelihoods (realistic uncertainties that may differ between measurements, covariances among measured values, etc).

On our local compute machine sandbox2, the COMSOL model takes 10-30s to solve. Since computational power seems to be the bottleneck, the most straightforward solution is to scale up compute. emcee is an MPI-compatible python package, but we would need to install COMSOL on our hpc to run on the cluster. Since the FEA mesh should really be finer to improve fidelity, I don't suspect we can make major improvements by simplifying the FEA model, but we may be satisfied with a reduced order model that is a polynomial fit of the FEA predictions over some grid in the x parameters. 

Ultimately, we would like to change experimental parameters (especially geometry) to minimize systematic uncertainty in inferred mechanical losses. This would require repeatedly running the MCMC for various nominal values of the experimental parameters. This is in principle possible, but not practical unless a single MCMC takes less than weeks (ideally more hours to days, depending on how much fine tuning is desired). 
